### Navigation

- Shiboken 1.1.1 documentation »

# Shiboken 1.1.1

Shiboken is a plugin (front-end) for Generator Runner. It generates bindings for C++ libraries using CPython source code.

## Documentation

Contents
for a complete overview

FAQ
answers for frequent asked questions

Command line options
explains the few flags used to change Shiboken behaviour

Type System Variables
describes the type system variables that could be used in user custom code

Type Converters
describes how to define type converters

Code Injection Semantics
explains how custom code injection is interpreted by Shiboken

Sequence Protocol
support for python sequence protocol

Object Ownership
object ownership features

Words of Advice
Advice for binding developers and users.